Skip to main content
PUT
/
index-profiles
/
{id}
Update an index profile
import requests

url = "https://{FUSION HOST}/api/index-profiles/{id}"

payload = {
    "id": "default",
    "indexPipeline": "<string>",
    "collection": "<string>",
    "parser": "<string>"
}
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/index-profiles/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"default\",\n \"indexPipeline\": \"<string>\",\n \"collection\": \"<string>\",\n \"parser\": \"<string>\"\n}")
.asString();
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'default',
indexPipeline: '<string>',
collection: '<string>',
parser: '<string>'
})
};

fetch('https://{FUSION HOST}/api/index-profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/index-profiles/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"default\",\n \"indexPipeline\": \"<string>\",\n \"collection\": \"<string>\",\n \"parser\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/index-profiles/{id}"

payload := strings.NewReader("{\n \"id\": \"default\",\n \"indexPipeline\": \"<string>\",\n \"collection\": \"<string>\",\n \"parser\": \"<string>\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/index-profiles/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'default',
'indexPipeline' => '<string>',
'collection' => '<string>',
'parser' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request PUT \
--url https://{FUSION HOST}/api/index-profiles/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "default",
"indexPipeline": "<string>",
"collection": "<string>",
"parser": "<string>"
}
'
{
  "id": "default",
  "indexPipeline": "<string>",
  "collection": "<string>",
  "parser": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

ifMatch
object

Optional tag to match.

Path Parameters

id
string
required

The index profile ID

Query Parameters

context
string

The app to which this object belongs, as app:SomeApp. If the object is not part of the app, this request fails. Other comma-separated contexts in the context parameter are allowed but ignored.

Body

application/json

A JSON object defining the index profile.

id
string

A unique index profile ID.

Example:

"default"

indexPipeline
string

The index pipeline associated with this index profile.

collection
string

The collection associated with this index profile.

parser
string

The parser associated with this index profile.

Response

200 - application/json

OK

A JSON object defining the index profile.

id
string

A unique index profile ID.

Example:

"default"

indexPipeline
string

The index pipeline associated with this index profile.

collection
string

The collection associated with this index profile.

parser
string

The parser associated with this index profile.